package md

type TikTokTaskDetail struct {
	AnchorTitle           string   `json:"anchor_title"`
	Appid                 string   `json:"appid"`
	PaymentAllocateRatio  int      `json:"payment_allocate_ratio"`
	PlatformAddressApp    string   `json:"platform_address_app"`
	PlatformAddressWeb    string   `json:"platform_address_web"`
	ReferMaCaptures       []string `json:"refer_ma_captures"`
	ReferVideoCaptures    []string `json:"refer_video_captures"`
	RejectReason          string   `json:"reject_reason"`
	StartPage             string   `json:"start_page"`
	Status                int      `json:"status"`
	TaskDesc              string   `json:"task_desc"`
	TaskEndTime           int      `json:"task_end_time"`
	TaskIcon              string   `json:"task_icon"`
	TaskId                int64    `json:"task_id"`
	TaskName              string   `json:"task_name"`
	TaskRefundPeriod      int      `json:"task_refund_period"`
	TaskSettleType        int      `json:"task_settle_type"`
	TaskStartTime         int      `json:"task_start_time"`
	TaskTags              []string `json:"task_tags"`
	TaskType              int      `json:"task_type"`
	OrientedTalentRelList []struct {
		CooperationState int    `json:"cooperation_state"`
		DouyinId         string `json:"douyin_id"`
		CancelOperator   int    `json:"cancel_operator,omitempty"`
	} `json:"oriented_talent_rel_list"`
}
type TikTokTaskDetailSecond struct {
	AnchorTitle           string `json:"anchor_title"`
	Appid                 string `json:"appid"`
	PaymentAllocateRatio  int    `json:"payment_allocate_ratio"`
	PlatformAddressApp    string `json:"platform_address_app"`
	PlatformAddressWeb    string `json:"platform_address_web"`
	ReferMaCaptures       string `json:"refer_ma_captures"`
	ReferVideoCaptures    string `json:"refer_video_captures"`
	RejectReason          string `json:"reject_reason"`
	StartPage             string `json:"start_page"`
	Status                int    `json:"status"`
	TaskDesc              string `json:"task_desc"`
	TaskEndTime           int    `json:"task_end_time"`
	TaskIcon              string `json:"task_icon"`
	TaskId                int64  `json:"task_id"`
	VideoId               string `json:"video_id"`
	TaskName              string `json:"task_name"`
	TaskRefundPeriod      int    `json:"task_refund_period"`
	TaskSettleType        int    `json:"task_settle_type"`
	TaskStartTime         int    `json:"task_start_time"`
	TaskTags              string `json:"task_tags"`
	TaskType              int    `json:"task_type"`
	OrientedTalentRelList string `json:"oriented_talent_rel_list"`
}

type TikTokTaskOrder struct {
	VideoId            int64  `json:"VideoId"`
	TaskId             int    `json:"TaskId"`
	TaskName           string `json:"TaskName"`
	PublishTime        int    `json:"PublishTime"`
	Author             string `json:"Author"`
	DouyinID           string `json:"DouyinID"`
	VideoTitle         string `json:"VideoTitle"`
	MicroAppTitle      string `json:"MicroAppTitle"`
	VideoLink          string `json:"VideoLink"`
	AgentID            string `json:"AgentID"`
	TalentProfit1D     int    `json:"TalentProfit1d"`
	GMV1D              int    `json:"GMV1d"`
	RefundGMV1D        int    `json:"RefundGMV1d"`
	AdShareCost1D      int    `json:"AdShareCost1d"`
	FeedAdShareCost1D  int    `json:"FeedAdShareCost1d"`
	BillingRefundGMV1D int    `json:"BillingRefundGMV1d"`
	BillingGMV1D       int    `json:"BillingGMV1d"`
	Date               string `json:"date"`
}
type TikTokTaskRelate struct {
	AgencyTalentUid string `json:"agency_talent_uid"`
	AgentId         int64  `json:"agent_id"`
	BindTime        int    `json:"bind_time"`
	DouyinId        string `json:"douyin_id"`
}
